export interface Coin {
    denom: string;
    amount: string;
}
export interface Fee {
    gas: string;
    amount: Coin[];
}
export interface InOut {
    address: string;
    coins: Coin[];
}
export interface Signature {
    signature: string;
    account_number: string;
    sequence: string;
    pub_key: {
        type: string;
        value: string;
    };
}
export declare function generateVoteHash(salt: string, price: string, denom: string, voter: string): string;
export interface StdTxValue {
    fee: Fee;
    memo: string;
    msg: object[];
    signatures: Signature[];
}
export interface StdTx {
    type: string;
    value: StdTxValue;
}
export declare function buildStdTx(msg: object[], fee: Fee, memo: string): StdTx;
interface MsgPricePrevote {
    type: string;
    value: {
        hash: string;
        denom: string;
        feeder: string;
        validator: string;
    };
}
export declare function buildPricePrevoteMsg(hash: string, denom: string, feeder: string, validator: string): MsgPricePrevote;
interface MsgPriceVote {
    type: string;
    value: {
        price: string;
        salt: string;
        denom: string;
        feeder: string;
        validator: string;
    };
}
export declare function buildPriceVote(price: string, salt: string, denom: string, feeder: string, validator: string): MsgPriceVote;
interface MsgSend {
    type: string;
    value: {
        amount: [Coin];
        from_address: string;
        to_address: string;
    };
}
export declare function buildSend(amount: [Coin], fromAddress: string, toAddress: string): MsgSend;
interface MsgMultiSend {
    type: string;
    value: {
        inputs: [InOut];
        outputs: [InOut];
    };
}
export declare function buildMultiSend(inputs: [InOut], outputs: [InOut]): MsgMultiSend;
export {};
